org.appng.xml.platform

## Class Selection

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Selection

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SelectionFactory.Selection

      public class Selection
      extends BaseObject
      implements Serializable

  A `Selection` is used to filter a `Resultset` or to display a `FieldDef` which uses a list-type (e.g `FieldType.LIST_SELECT`).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `autosubmit`
    `protected String` | `format`
    `protected String` | `id`
    `protected List<OptionGroup>` | `optionGroups`
    `protected List<Option>` | `options`
    `protected Label` | `title`
    `protected Label` | `tooltip`
    `protected SelectionType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Selection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()` The format applied to the users-inputs, if any.
    `String` | `getId()` The unique id of the selection within the `SelectionGroup`.
    `List<OptionGroup>` | `getOptionGroups()` Gets the value of the optionGroups property.
    `List<Option>` | `getOptions()` Gets the value of the options property.
    `Label` | `getTitle()` Gets the value of the title property.
    `Label` | `getTooltip()` Gets the value of the tooltip property.
    `SelectionType` | `getType()` The type of the selection.
    `boolean` | `isAutosubmit()` If set to true, a change of the selection value will cause the submission of the data.
    `void` | `setAutosubmit(Boolean value)` Sets the value of the autosubmit property.
    `void` | `setFormat(String value)` Sets the value of the format property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setTitle(Label value)` Sets the value of the title property.
    `void` | `setTooltip(Label value)` Sets the value of the tooltip property.
    `void` | `setType(SelectionType value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### title

          protected Label title

    - #### tooltip

          protected Label tooltip

    - #### options

          protected List<Option> options

    - #### optionGroups

          protected List<OptionGroup> optionGroups

    - #### id

          protected String id

    - #### type

          protected SelectionType type

    - #### format

          protected String format

    - #### autosubmit

          protected Boolean autosubmit

  - ### Constructor Detail

    - #### Selection

          public Selection()

  - ### Method Detail

    - #### getTitle

          public Label getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `Label`

    - #### setTitle

          public void setTitle(Label value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getTooltip

          public Label getTooltip()

      Gets the value of the tooltip property.
      Returns:
        possible object is `Label`

    - #### setTooltip

          public void setTooltip(Label value)

      Sets the value of the tooltip property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getOptions

          public List<Option> getOptions()

      Gets the value of the options property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the options property.

      For example, to add a new item, do as follows:

              getOptions().add(newItem);

      Objects of the following type(s) are allowed in the list `Option`

    - #### getOptionGroups

          public List<OptionGroup> getOptionGroups()

      Gets the value of the optionGroups property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the optionGroups property.

      For example, to add a new item, do as follows:

              getOptionGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `OptionGroup`

    - #### getId

          public String getId()

      The unique id of the selection within the `SelectionGroup`.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public SelectionType getType()

      The type of the selection.
      Returns:
        possible object is `SelectionType`

    - #### setType

          public void setType(SelectionType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `SelectionType`

    - #### getFormat

          public String getFormat()

      The format applied to the users-inputs, if any.
      Returns:
        possible object is `String`

    - #### setFormat

          public void setFormat(String value)

      Sets the value of the format property.
      Parameters:
        `value` - allowed object is `String`

    - #### isAutosubmit

          public boolean isAutosubmit()

      If set to true, a change of the selection value will cause the submission of the data.
      Returns:
        possible object is `Boolean`

    - #### setAutosubmit

          public void setAutosubmit(Boolean value)

      Sets the value of the autosubmit property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.